mscorlib 4.0.0.0 System.Type System.Reflection.IReflectableType

Starting with the net_v45, the class is included in the net_win8_profile subset for use in creating Windows Store apps. is available in the full .NET Framework as well. For more information about reflection for Windows Store apps, see System.Reflection namespaces in the Windows Dev Center and Reflection in the .NET Framework for Windows Store Apps in the MSDN Library.

contains many of the members available in the class, and many of the reflection properties in the net_win8_profile return collections of objects. To get a object from a object, use the method.

A object represents the type definition itself, whereas a object represents a reference to the type definition. Getting a object forces the assembly that contains that type to load. In comparison, you can manipulate objects without necessarily requiring the runtime to load the assembly they reference.

In the net_win8_profile, you use the reflection properties of that return collections instead of methods that return arrays. For example, use the property to get all declared members, or the property to get all declared properties. Reflection contexts can implement lazy traversal of these collections for large assemblies or types. To get specific members, use methods such as and , and pass the name of the method or property you would like to retrieve.

To filter the results of properties, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

Represents type declarations for class types, interface types, array types, value types, enumeration types, type parameters, generic type definitions, and open or closed constructed generic types.

- Method
  4.0.0.0
  System.Type To be added.

  Returns the current type as a object.

  The current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.ConstructorInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the constructors declared by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.EventInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the events defined by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.FieldInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the fields defined by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.MemberInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the members defined by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.MethodInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the methods defined by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.TypeInfo> To be added.

  To filter the results of the property, use LINQ queries. For reflection objects that originate with the runtime (for example, as the result of typeof(Object)), you can traverse the inheritance tree by using the methods in the class. Consumers of objects from customized reflection contexts cannot use these methods and must traverse the inheritance tree themselves.

  Gets a collection of the nested types defined by the current type.

- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.PropertyInfo> To be added. To be added.

  Gets a collection of the properties defined by the current type.

- Property
  4.0.0.0
  System.Type[] To be added. To be added.

  Gets an array of the generic parameters of the current type.

- Method
  4.0.0.0
  System.Reflection.EventInfo `` To be added.

  Returns an object that represents the specified public event declared by the current type.

  An object that represents the specified event, if found; otherwise, null.

  The name of the event.
- Method
  4.0.0.0
  System.Reflection.FieldInfo `` To be added.

  Returns an object that represents the specified public field declared by the current type.

  An object that represents the specified field, if found; otherwise, null.

  The name of the field.
- Method
  4.0.0.0
  System.Reflection.MethodInfo `` To be added.

  Returns an object that represents the specified public method declared by the current type.

  An object that represents the specified method, if found; otherwise, null.

  The name of the method.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.MethodInfo> `` To be added.

  Returns a collection that contains all public methods declared on the current type that match the specified name.

  A collection that contains methods that match .

  The method name to search for.
- Method
  4.0.0.0
  System.Reflection.TypeInfo `` To be added.

  Returns an object that represents the specified public nested type declared by the current type.

  An object that represents the specified nested type, if found; otherwise, null.

  The name of the nested type.
- Method
  4.0.0.0
  System.Reflection.PropertyInfo `` To be added.

  Returns an object that represents the specified public property declared by the current type.

  An object that represents the specified property, if found; otherwise, null.

  The name of the property.
- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Type> To be added. To be added.

  Gets a collection of the interfaces implemented by the current type.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether the specified type can be assigned to the current type.

  true if the specified type can be assigned to this type; otherwise, false.

  The type to check.
- Method
  4.0.0.0
  System.Reflection.TypeInfo

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns a representation of the current type as a object.

  A reference to the current type.